provisioned Cluster Instances - Get
Gets the provisioned cluster instance
Gets the Hybrid AKS provisioned cluster instance
GET https://management.azure.com/{connectedClusterResourceUri}/providers/Microsoft.HybridContainerService/provisionedClusterInstances/default?api-version=2023-11-15-preview
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
connected
|
path | True |
string |
The fully qualified Azure Resource manager identifier of the connected cluster resource. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Gets the default provisionedClusterInstances resource. |
|
| Other Status Codes |
Error response describing why the operation failed. |
Security
azure_auth
Azure Active Directory OAuth2 Flow
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
GetProvisionedClusterInstance
Sample request
GET https://management.azure.com/subscriptions/fd3c3665-1729-4b7b-9a38-238e83b0f98b/resourceGroups/testrg/providers/Microsoft.Kubernetes/connectedClusters/test-hybridakscluster/providers/Microsoft.HybridContainerService/provisionedClusterInstances/default?api-version=2023-11-15-preview
Sample response
{
"id": "/subscriptions/fd3c3665-1729-4b7b-9a38-238e83b0f98b/resourceGroups/testrg/providers/Microsoft.Kubernetes/connectedClusters/test-hybridakscluster/providers/Microsoft.HybridContainerService/provisionedClusterInstances/default",
"name": "test-hybridakscluster",
"type": "Microsoft.HybridContainerService/provisionedClusterInstances",
"extendedLocation": {
"name": "/subscriptions/a3e42606-29b1-4d7d-b1d9-9ff6b9d3c71b/resourcegroups/test-arcappliance-resgrp/providers/microsoft.extendedlocation/customlocations/testcustomlocation",
"type": "CustomLocation"
},
"properties": {
"provisioningState": "Succeeded",
"controlPlane": {
"count": 1,
"vmSize": "Standard_A4_v2",
"osType": "Linux",
"linuxProfile": {
"ssh": {
"publicKeys": [
{
"keyData": "ssh-rsa AAAAB1NzaC1yc2EAAAADAQABAAACAQCY......"
}
]
}
}
},
"kubernetesVersion": "v1.20.5",
"networkProfile": {
"networkPolicy": "calico",
"podCidr": "10.244.0.0/16"
},
"agentPoolProfiles": [
{
"name": "default-nodepool-1",
"count": 1,
"vmSize": "Standard_A4_v2",
"osType": "Linux"
}
],
"linuxProfile": {
"ssh": {
"publicKeys": [
{
"keyData": "ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAACAQCY......."
}
]
}
},
"cloudProviderProfile": {
"infraNetworkProfile": {
"vnetSubnetIds": [
"/subscriptions/a3e42606-29b1-4d7d-b1d9-9ff6b9d3c71b/resourceGroups/test-arcappliance-resgrp/providers/Microsoft.AzureStackHCI/logicalNetworks/test-vnet-static"
]
}
},
"licenseProfile": {
"azureHybridBenefit": "NotApplicable"
}
}
}
Definitions
| Name | Description |
|---|---|
|
addon |
Observed phase of the addon on the target cluster. Possible values include: 'pending', 'provisioning', 'provisioning {HelmChartInstalled}', 'provisioning {MSICertificateDownloaded}', 'provisioned', 'deleting', 'failed', 'upgrading' |
|
Addon |
Defines the addon status profile. |
|
Azure |
Indicates whether Azure Hybrid Benefit is opted in |
|
Cloud |
CloudProviderProfile - The underlying cloud infra provider properties. |
|
Control |
API server endpoint for the control plane |
|
Control |
ControlPlaneProfile - The control plane properties for the provisioned cluster. |
|
created |
The type of identity that created the resource. |
| Error | |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
|
Extended |
Extended Location definition |
|
Extended |
The extended location type. |
|
Infra |
InfraNetworkProfile - List of infra network profiles for the provisioned cluster |
|
Linux |
LinuxProfile - Profile for Linux VMs in the container service cluster. |
|
Load |
LoadBalancerProfile - Profile of the cluster load balancer. |
|
Named |
Agent pool profile along with a name parameter |
|
network |
NetworkPolicy - Network policy used for building Kubernetes network. Possible values include: 'calico', 'flannel'. Default is 'calico' |
|
Network |
NetworkProfile - Profile of network configuration. |
|
Operation |
Contains Provisioning errors |
| OSSKU |
Specifies the OS SKU used by the agent pool. The default is CBLMariner if OSType is Linux. The default is Windows2019 when OSType is Windows. |
|
os |
OsType - OsType to be used to specify os type. Choose from Linux and Windows. Default to Linux. Possible values include: 'Linux', 'Windows' |
|
Provisioned |
The license profile of the provisioned cluster. |
|
provisioned |
All properties of the provisioned cluster |
|
provisioned |
The provisionedClusterInstances resource definition. |
|
Public |
PublicKeys - The list of SSH public keys used to authenticate with Linux-based VMs. Only expect one key specified. |
|
Resource |
Provisioning state of the resource |
| Ssh |
SSH - SSH configuration for Linux-based VMs running on Azure. |
| Status |
HybridAKSClusterStatus defines the observed state of HybridAKSCluster |
|
system |
Metadata pertaining to creation and last modification of the resource. |
addonPhase
Observed phase of the addon on the target cluster. Possible values include: 'pending', 'provisioning', 'provisioning {HelmChartInstalled}', 'provisioning {MSICertificateDownloaded}', 'provisioned', 'deleting', 'failed', 'upgrading'
| Value | Description |
|---|---|
| pending | |
| provisioning | |
| provisioning {HelmChartInstalled} | |
| provisioning {MSICertificateDownloaded} | |
| provisioned | |
| deleting | |
| failed | |
| upgrading |
AddonStatusProfile
Defines the addon status profile.
| Name | Type | Description |
|---|---|---|
| errorMessage |
string |
Error message while deploying the addon |
| name |
string |
Name of the addon |
| phase |
Observed phase of the addon on the target cluster. Possible values include: 'pending', 'provisioning', 'provisioning {HelmChartInstalled}', 'provisioning {MSICertificateDownloaded}', 'provisioned', 'deleting', 'failed', 'upgrading' |
|
| ready |
boolean |
Indicates whether the addon is ready |
AzureHybridBenefit
Indicates whether Azure Hybrid Benefit is opted in
| Value | Description |
|---|---|
| True | |
| False | |
| NotApplicable |
CloudProviderProfile
CloudProviderProfile - The underlying cloud infra provider properties.
| Name | Type | Description |
|---|---|---|
| infraNetworkProfile |
InfraNetworkProfile - List of infra network profiles for the provisioned cluster |
ControlPlaneEndpoint
API server endpoint for the control plane
| Name | Type | Description |
|---|---|---|
| hostIP |
string |
Host IP address for API server |
| port |
integer (int32) |
Port for the API server |
ControlPlaneProfile
ControlPlaneProfile - The control plane properties for the provisioned cluster.
| Name | Type | Default value | Description |
|---|---|---|---|
| availabilityZones |
string[] |
AvailabilityZones - The list of Availability zones to use for nodes. Datacenter racks modelled as zones |
|
| controlPlaneEndpoint |
API server endpoint for the control plane |
||
| count |
integer (int32) |
1 |
Count - Number of agents to host docker containers. Allowed values must be in the range of 1 to 100 (inclusive). The default value is 1. |
| linuxProfile |
Profile for Linux VMs in the container service cluster. |
||
| name |
string |
Unique name of the agent pool profile in the context of the subscription and resource group. |
|
| nodeImageVersion |
string |
The version of node image |
|
| osSKU |
Specifies the OS SKU used by the agent pool. The default is CBLMariner if OSType is Linux. The default is Windows2019 when OSType is Windows. |
||
| osType | Linux |
OsType - OsType to be used to specify os type. Choose from Linux and Windows. Default to Linux. Possible values include: 'Linux', 'Windows' |
|
| vmSize |
string |
VmSize - The size of the agent pool VMs. |
createdByType
The type of identity that created the resource.
| Value | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
Error
| Name | Type | Description |
|---|---|---|
| code |
string |
|
| message |
string |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
ExtendedLocation
Extended Location definition
| Name | Type | Description |
|---|---|---|
| name |
string |
The extended location name. |
| type |
The extended location type. |
ExtendedLocationTypes
The extended location type.
| Value | Description |
|---|---|
| CustomLocation |
InfraNetworkProfile
InfraNetworkProfile - List of infra network profiles for the provisioned cluster
| Name | Type | Description |
|---|---|---|
| vnetSubnetIds |
string[] (arm-id) |
Array of references to azure resource corresponding to the Network object e.g. /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.AzureStackHCI/logicalNetworks/{logicalNetworkName} |
LinuxProfileProperties
LinuxProfile - Profile for Linux VMs in the container service cluster.
| Name | Type | Description |
|---|---|---|
| ssh |
SSH - SSH configuration for Linux-based VMs running on Azure. |
LoadBalancerProfile
LoadBalancerProfile - Profile of the cluster load balancer.
| Name | Type | Default value | Description |
|---|---|---|---|
| count |
integer (int32) |
0 |
Count - Number of load balancer VMs. The default value is 0. |
NamedAgentPoolProfile
Agent pool profile along with a name parameter
| Name | Type | Default value | Description |
|---|---|---|---|
| availabilityZones |
string[] |
AvailabilityZones - The list of Availability zones to use for nodes. Datacenter racks modelled as zones |
|
| count |
integer (int32) |
1 |
Count - Number of agents to host docker containers. Allowed values must be in the range of 1 to 100 (inclusive). The default value is 1. |
| name |
string |
Unique name of the agent pool profile in the context of the subscription and resource group. |
|
| nodeImageVersion |
string |
The version of node image |
|
| osSKU |
Specifies the OS SKU used by the agent pool. The default is CBLMariner if OSType is Linux. The default is Windows2019 when OSType is Windows. |
||
| osType | Linux |
OsType - OsType to be used to specify os type. Choose from Linux and Windows. Default to Linux. Possible values include: 'Linux', 'Windows' |
|
| vmSize |
string |
VmSize - The size of the agent pool VMs. |
networkPolicy
NetworkPolicy - Network policy used for building Kubernetes network. Possible values include: 'calico', 'flannel'. Default is 'calico'
| Value | Description |
|---|---|
| calico | |
| flannel |
NetworkProfile
NetworkProfile - Profile of network configuration.
| Name | Type | Default value | Description |
|---|---|---|---|
| loadBalancerProfile |
LoadBalancerProfile - Profile of the cluster load balancer. |
||
| networkPolicy | calico |
NetworkPolicy - Network policy used for building Kubernetes network. Possible values include: 'calico', 'flannel'. Default is 'calico' |
|
| podCidr |
string |
PodCidr - A CIDR notation IP range from which to assign pod IPs when kubenet is used. |
OperationStatus
Contains Provisioning errors
| Name | Type | Description |
|---|---|---|
| error | ||
| operationId |
string |
|
| status |
string |
OSSKU
Specifies the OS SKU used by the agent pool. The default is CBLMariner if OSType is Linux. The default is Windows2019 when OSType is Windows.
| Value | Description |
|---|---|
| CBLMariner |
Use Mariner as the OS for node images. |
| Windows2019 |
Use Windows2019 as the OS for node images. |
| Windows2022 |
Use Windows2022 as the OS for node images. |
osType
OsType - OsType to be used to specify os type. Choose from Linux and Windows. Default to Linux. Possible values include: 'Linux', 'Windows'
| Value | Description |
|---|---|
| Linux | |
| Windows |
ProvisionedClusterLicenseProfile
The license profile of the provisioned cluster.
| Name | Type | Default value | Description |
|---|---|---|---|
| azureHybridBenefit | NotApplicable |
Indicates whether Azure Hybrid Benefit is opted in |
provisionedClusterProperties
All properties of the provisioned cluster
| Name | Type | Description |
|---|---|---|
| agentPoolProfiles |
The agent pools of the cluster. |
|
| cloudProviderProfile |
The underlying cloud infra provider properties. |
|
| controlPlane |
ControlPlane - ControlPlane Configuration |
|
| kubernetesVersion |
string |
KubernetesVersion - Version of Kubernetes specified when creating the managed cluster. |
| licenseProfile |
The license profile of the provisioned cluster. |
|
| linuxProfile |
LinuxProfile - The profile for Linux VMs in the Provisioned Cluster. |
|
| networkProfile |
NetworkProfile - Profile of network configuration. |
|
| provisioningState |
Provisioning state of the resource |
|
| status |
HybridAKSClusterStatus defines the observed state of HybridAKSCluster |
provisionedClusters
The provisionedClusterInstances resource definition.
| Name | Type | Description |
|---|---|---|
| extendedLocation |
Extended Location definition |
|
| id |
string (arm-id) |
Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}" |
| name |
string |
The name of the resource |
| properties |
All properties of the provisioned cluster |
|
| systemData |
Azure Resource Manager metadata containing createdBy and modifiedBy information. |
|
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
PublicKeys
PublicKeys - The list of SSH public keys used to authenticate with Linux-based VMs. Only expect one key specified.
| Name | Type | Description |
|---|---|---|
| keyData |
string |
KeyData - Certificate public key used to authenticate with VMs through SSH. The certificate must be in PEM format with or without headers. |
ResourceProvisioningState
Provisioning state of the resource
| Value | Description |
|---|---|
| Succeeded | |
| Failed | |
| Canceled | |
| Creating | |
| Deleting | |
| Updating | |
| Upgrading | |
| InProgress | |
| Accepted | |
| Created |
Ssh
SSH - SSH configuration for Linux-based VMs running on Azure.
| Name | Type | Description |
|---|---|---|
| publicKeys |
PublicKeys - The list of SSH public keys used to authenticate with Linux-based VMs. Only expect one key specified. |
Status
HybridAKSClusterStatus defines the observed state of HybridAKSCluster
| Name | Type | Description |
|---|---|---|
| controlPlaneStatus |
Status of the control plane components |
|
| errorMessage |
string |
ErrorMessage - Error messages during creation of cluster |
| operationStatus |
Contains Provisioning errors |
systemData
Metadata pertaining to creation and last modification of the resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
The timestamp of resource creation (UTC). |
| createdBy |
string |
The identity that created the resource. |
| createdByType |
The type of identity that created the resource. |
|
| lastModifiedAt |
string (date-time) |
The timestamp of resource last modification (UTC) |
| lastModifiedBy |
string |
The identity that last modified the resource. |
| lastModifiedByType |
The type of identity that last modified the resource. |